Gentoo Archives: gentoo-commits

From: Mike Gilbert <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd/
Date: Wed, 11 Sep 2019 23:29:24
Message-Id: 1568244522.e76306daa732a15bf0549b8ddae4038b7d0a824e.floppym@gentoo
commit:     e76306daa732a15bf0549b8ddae4038b7d0a824e
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 11 23:28:42 2019 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 23:28:42 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e76306da

sys-apps/systemd: bump to 243

Package-Manager: Portage-2.3.75_p7, Repoman-2.3.17_p49
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/systemd/Manifest                                          | 2 +-
 sys-apps/systemd/{systemd-243_rc2-r1.ebuild => systemd-243.ebuild} | 6 +-----
 sys-apps/systemd/systemd-9999.ebuild                               | 5 +----
 3 files changed, 3 insertions(+), 10 deletions(-)

diff --git a/sys-apps/systemd/Manifest b/sys-apps/systemd/Manifest
index 097fdeb5e7f..875ca45a4ae 100644
--- a/sys-apps/systemd/Manifest
+++ b/sys-apps/systemd/Manifest
@@ -1,2 +1,2 @@
 DIST systemd-242.tar.gz 7831435 BLAKE2B 288e65d0a8e133ef5885689eb16118a83d93c730e342da63115cea0892fc999104c3a4856c83f3e7ef909ba2f3311146730b05ee02d84cc0400851ccbdcd54cd SHA512 578f68a3c8f2d454198fc04ff8d943abcfb390531d57f9603d185857f7afa7f4dc641dafecf49ce50fe22f5837b252b181400891e8efd4459fd4f69bb4283cb4
-DIST systemd-243-rc2.tar.gz 8239802 BLAKE2B 9ab6a12f6dff855265be381616601fb2caf79be810bba7f5c24fa6e91ae34d8d1ead0ae1b45c374e8c9752b883daba01863e5622ef1d34718e8390c0ad837cf0 SHA512 7e9b996c1eeb299fb971f2fd4a39fa62c7cc9178bacaaae6c168008dec438f392b949deb72d08f27060b3cde54b46b70f6a18b1bc70725a56ca2a28a1f96b6a1
+DIST systemd-243.tar.gz 8242522 BLAKE2B 89e3ebbea5a99061329f7c78220a66c1e075d5ba90dfdf5ee8d0d9b762ef4600dc82d8ca2054632e5e343b6272cd8046c92f7f99dcfa8287c5ef2b42fb96d4cb SHA512 56b52a297aa5ac04d9667eb3afb1598725b197de73ff72baa1aabbc2844e36fba7b7fccdf6d214ae8b5b926616b2b7e15772763aaa80ec938d74333ff9c8673e

diff --git a/sys-apps/systemd/systemd-243_rc2-r1.ebuild b/sys-apps/systemd/systemd-243.ebuild
similarity index 98%
rename from sys-apps/systemd/systemd-243_rc2-r1.ebuild
rename to sys-apps/systemd/systemd-243.ebuild
index 56cfe509a08..d38227b0738 100644
--- a/sys-apps/systemd/systemd-243_rc2-r1.ebuild
+++ b/sys-apps/systemd/systemd-243.ebuild
@@ -185,7 +185,6 @@ src_prepare() {
 
 	# Add local patches here
 	PATCHES+=(
-		"${FILESDIR}"/CVE-2019-15718.patch
 	)
 
 	if ! use vanilla; then
@@ -355,10 +354,7 @@ multilib_src_install_all() {
 	# Symlink /etc/sysctl.conf for easy migration.
 	dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
 
-	local udevdir=/lib/udev
-	use split-usr || udevdir=/usr/lib/udev
-
-	rm -r "${ED}${udevdir}/hwdb.d" || die
+	rm -r "${ED}${rootprefix}"/lib/udev/hwdb.d || die
 
 	if use split-usr; then
 		# Avoid breaking boot/reboot

diff --git a/sys-apps/systemd/systemd-9999.ebuild b/sys-apps/systemd/systemd-9999.ebuild
index f00c416fa38..d38227b0738 100644
--- a/sys-apps/systemd/systemd-9999.ebuild
+++ b/sys-apps/systemd/systemd-9999.ebuild
@@ -354,10 +354,7 @@ multilib_src_install_all() {
 	# Symlink /etc/sysctl.conf for easy migration.
 	dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
 
-	local udevdir=/lib/udev
-	use split-usr || udevdir=/usr/lib/udev
-
-	rm -r "${ED}${udevdir}/hwdb.d" || die
+	rm -r "${ED}${rootprefix}"/lib/udev/hwdb.d || die
 
 	if use split-usr; then
 		# Avoid breaking boot/reboot